Bug 1011723 - [abrt] WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xed/0x100 [btrfs]() [NEEDINFO]
[abrt] WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xed/0x100 ...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-btrfs
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-09-24 21:26 EDT by Ken Tobias
Modified: 2013-11-27 11:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-27 11:04:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo? (kentobias)

Attachments (Terms of Use)
File: dmesg (186.12 KB, text/plain)
2013-09-24 21:26 EDT, Ken Tobias
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 62121 None None None Never

  None (edit)
Description Ken Tobias 2013-09-24 21:26:37 EDT
Additional info:
reporter:       libreport-2.1.6
WARNING: at fs/btrfs/super.c:254 __btrfs_abort_transaction+0xed/0x100 [btrfs]()
Modules linked in: usb_storage nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi arc4 brcmsmac cordic brcmutil mac80211 cfg80211 rtsx_pci_ms memstick rtsx_pci_sdmmc hp_wmi sparse_keymap acpi_cpufreq btusb mperf kvm_amd kvm bluetooth rfkill snd_hda_codec_idt snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep i2c_piix4 k10temp snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore microcode joydev hp_accel rtsx_pci mfd_core bcma lis3lv02d input_polldev nfsd auth_rpcgss nfs_acl uinput lockd ata_generic btrfs zlib_deflate raid6_pq libcrc32c xor pata_acpi radeon i2c_algo_bit pata_atiixp drm_kms_helper ttm sdhci_pci drm r8169 sdhci mmc_core mii i2c_core wmi video sunrpc
CPU: 2 PID: 1698 Comm: btrfs-transacti Not tainted 3.10.11-100.fc18.x86_64 #1
Hardware name: Hewlett-Packard HP Pavilion dv7 Notebook PC/180B, BIOS F.17 03/13/2012
 0000000000000009 ffff880160c2b8e8 ffffffff81656735 ffff880160c2b928
 ffffffff8105d670 ffff880160c2b9c8 00000000fffffffb ffff88019101ddc0
 ffff880195579800 ffffffffa02ef3c0 0000000000001586 ffff880160c2b988
Call Trace:
 [<ffffffff81656735>] dump_stack+0x19/0x1b
 [<ffffffff8105d670>] warn_slowpath_common+0x70/0xa0
 [<ffffffff8105d756>] warn_slowpath_fmt+0x46/0x50
 [<ffffffff811847ca>] ? kmem_cache_alloc+0x1ca/0x210
 [<ffffffffa0255b2d>] __btrfs_abort_transaction+0xed/0x100 [btrfs]
 [<ffffffffa0266cb3>] __btrfs_free_extent+0x523/0xa40 [btrfs]
 [<ffffffffa02c394c>] ? btrfs_merge_delayed_refs+0x1fc/0x3c0 [btrfs]
 [<ffffffffa026afa7>] run_clustered_refs+0x707/0xda0 [btrfs]
 [<ffffffffa025e56b>] ? btrfs_search_slot+0x7fb/0x920 [btrfs]
 [<ffffffffa029600b>] ? btrfs_set_token_32+0x6b/0x100 [btrfs]
 [<ffffffffa02c2a93>] ? find_ref_head+0x83/0xf0 [btrfs]
 [<ffffffffa026f0a0>] btrfs_run_delayed_refs+0xe0/0x570 [btrfs]
 [<ffffffffa026f5e0>] btrfs_write_dirty_block_groups+0xb0/0x640 [btrfs]
 [<ffffffffa027eb6d>] commit_cowonly_roots+0x16d/0x260 [btrfs]
 [<ffffffffa027f90d>] btrfs_commit_transaction+0x5ad/0xac0 [btrfs]
 [<ffffffff81083290>] ? wake_up_bit+0x40/0x40
 [<ffffffffa0277ed5>] transaction_kthread+0x1a5/0x220 [btrfs]
 [<ffffffffa0277d30>] ? btree_readpage_end_io_hook+0x2b0/0x2b0 [btrfs]
 [<ffffffff81082ab0>] kthread+0xc0/0xd0
 [<ffffffff81010000>] ? perf_trace_xen_mmu_flush_tlb_others+0x50/0x110
 [<ffffffff810829f0>] ? kthread_create_on_node+0x120/0x120
 [<ffffffff81664cec>] ret_from_fork+0x7c/0xb0
 [<ffffffff810829f0>] ? kthread_create_on_node+0x120/0x120

Potential duplicate: bug 991644
Comment 1 Ken Tobias 2013-09-24 21:26:46 EDT
Created attachment 802526 [details]
File: dmesg
Comment 2 Justin M. Forbes 2013-10-18 17:14:10 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 3 Justin M. Forbes 2013-11-27 11:04:21 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.